com.io7m.jcanephora.core

## Class JCGLClearSpecification

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLClearSpecification

- All Implemented Interfaces:
    JCGLClearSpecificationType

      @Generated(value={"Immutables.generator","JCGLClearSpecificationType"})
      public final class JCGLClearSpecification
      extends Object
      implements JCGLClearSpecificationType

  Immutable implementation of `JCGLClearSpecificationType`.

  Use the builder to create immutable instances: `JCGLClearSpecification.builder()`. Use the static factory method to create immutable instances: `JCGLClearSpecification.of()`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLClearSpecification.Builder` Builds instances of type `JCGLClearSpecification`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLClearSpecification.Builder` | `builder()` Creates a builder for `JCGLClearSpecification`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLClearSpecification` that have equal attribute values.
    `Optional<com.io7m.jtensors.VectorReadable4FType>` | `getColorBufferClear()`
    `OptionalDouble` | `getDepthBufferClear()`
    `OptionalInt` | `getStencilBufferClear()`
    `boolean` | `getStrictChecking()`
    `int` | `hashCode()` Computes a hash code from attributes: `colorBufferClear`, `depthBufferClear`, `stencilBufferClear`, `strictChecking`.
    `static JCGLClearSpecification` | `of(Optional<com.io7m.jtensors.VectorReadable4FType> colorBufferClear, OptionalDouble depthBufferClear, OptionalInt stencilBufferClear, boolean strictChecking)` Construct a new immutable `JCGLClearSpecification` instance.
    `String` | `toString()` Prints the immutable value `JCGLClearSpecification...` with all non-generated and non-auxiliary attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getColorBufferClear

          public Optional<com.io7m.jtensors.VectorReadable4FType> getColorBufferClear()

      Specified by:
        `getColorBufferClear` in interface `JCGLClearSpecificationType`
      Returns:
        The color to which the color buffer will be cleared, if color buffer clearing is enabled

    - #### getDepthBufferClear

          public OptionalDouble getDepthBufferClear()

      Specified by:
        `getDepthBufferClear` in interface `JCGLClearSpecificationType`
      Returns:
        The depth value to which the depth buffer will be cleared, if depth buffer clearing is enabled

    - #### getStencilBufferClear

          public OptionalInt getStencilBufferClear()

      Specified by:
        `getStencilBufferClear` in interface `JCGLClearSpecificationType`
      Returns:
        The stencil value to which the stencil buffer will be cleared, if stencil buffer clearing is enabled

    - #### getStrictChecking

          public boolean getStrictChecking()

      Specified by:
        `getStrictChecking` in interface `JCGLClearSpecificationType`
      Returns:
        `true` if strict buffer checking is enabled

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLClearSpecification` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `colorBufferClear`, `depthBufferClear`, `stencilBufferClear`, `strictChecking`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLClearSpecification...` with all non-generated and non-auxiliary attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLClearSpecification of(Optional<com.io7m.jtensors.VectorReadable4FType> colorBufferClear,
                                                  OptionalDouble depthBufferClear,
                                                  OptionalInt stencilBufferClear,
                                                  boolean strictChecking)

      Construct a new immutable `JCGLClearSpecification` instance.
      Parameters:
        `colorBufferClear` - The value for the `colorBufferClear` attribute
        `depthBufferClear` - The value for the `depthBufferClear` attribute
        `stencilBufferClear` - The value for the `stencilBufferClear` attribute
        `strictChecking` - The value for the `strictChecking` attribute
      Returns:
        An immutable JCGLClearSpecification instance

    - #### builder

          public static JCGLClearSpecification.Builder builder()

      Creates a builder for `JCGLClearSpecification`.
      Returns:
        A new JCGLClearSpecification builder

Copyright © 2016 <code@io7m.com> http://io7m.com